# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: attributes.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import pymascot.tango_enums_pb2 as tango__enums__pb2
import pymascot.value_pb2 as value__pb2
import pymascot.error_pb2 as error__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='attributes.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x10\x61ttributes.proto\x12\x06mascot\x1a\x11tango_enums.proto\x1a\x0bvalue.proto\x1a\x0b\x65rror.proto\"A\n\x14ReadAttributeMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t\"j\n\x12ReadAttributeReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error\x12%\n\x04\x64\x61ta\x18\x03 \x01(\x0b\x32\x17.mascot.DeviceAttribute\"\xd8\x03\n\x0f\x44\x65viceAttribute\x12+\n\x0b\x64\x61ta_format\x18\x01 \x01(\x0e\x32\x16.mascot.AttrDataFormat\x12\r\n\x05\x64im_x\x18\x02 \x01(\x03\x12\r\n\x05\x64im_y\x18\x03 \x01(\x03\x12\x12\n\nhas_failed\x18\x04 \x01(\x08\x12\x10\n\x08is_empty\x18\x05 \x01(\x08\x12\x0c\n\x04name\x18\x06 \x01(\t\x12\x0f\n\x07nb_read\x18\x07 \x01(\x03\x12\x12\n\nnb_written\x18\x08 \x01(\x03\x12$\n\x07quality\x18\t \x01(\x0e\x32\x13.mascot.AttrQuality\x12/\n\x0br_dimension\x18\n \x01(\x0b\x32\x1a.mascot.AttributeDimension\x12\x1d\n\x04time\x18\x0b \x01(\x0b\x32\x0f.mascot.TimeVal\x12 \n\x04type\x18\x0c \x01(\x0e\x32\x12.mascot.CmdArgType\x12%\n\x05value\x18\r \x01(\x0b\x32\x16.mascot.AttributeValue\x12\x0f\n\x07w_dim_x\x18\x0e \x01(\x03\x12\x0f\n\x07w_dim_y\x18\x0f \x01(\x03\x12/\n\x0bw_dimension\x18\x10 \x01(\x0b\x32\x1a.mascot.AttributeDimension\x12\x0f\n\x07w_value\x18\x11 \x01(\t\"i\n\x15WriteAttributeMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t\x12%\n\x05value\x18\x03 \x01(\x0b\x32\x16.mascot.AttributeValue\";\n\nWriteReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error\"2\n\x12\x41ttributeDimension\x12\r\n\x05\x64im_x\x18\x01 \x01(\x03\x12\r\n\x05\x64im_y\x18\x02 \x01(\x03\";\n\x07TimeVal\x12\x0f\n\x07tv_nsec\x18\x01 \x01(\x03\x12\x0e\n\x06tv_sec\x18\x02 \x01(\x03\x12\x0f\n\x07tv_usec\x18\x03 \x01(\x03\x62\x06proto3')
  ,
  dependencies=[tango__enums__pb2.DESCRIPTOR,value__pb2.DESCRIPTOR,error__pb2.DESCRIPTOR,])




_READATTRIBUTEMESSAGE = _descriptor.Descriptor(
  name='ReadAttributeMessage',
  full_name='mascot.ReadAttributeMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='deviceName', full_name='mascot.ReadAttributeMessage.deviceName', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attributeName', full_name='mascot.ReadAttributeMessage.attributeName', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=73,
  serialized_end=138,
)


_READATTRIBUTEREPLY = _descriptor.Descriptor(
  name='ReadAttributeReply',
  full_name='mascot.ReadAttributeReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='mascot.ReadAttributeReply.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='error', full_name='mascot.ReadAttributeReply.error', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='mascot.ReadAttributeReply.data', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=140,
  serialized_end=246,
)


_DEVICEATTRIBUTE = _descriptor.Descriptor(
  name='DeviceAttribute',
  full_name='mascot.DeviceAttribute',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='data_format', full_name='mascot.DeviceAttribute.data_format', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='dim_x', full_name='mascot.DeviceAttribute.dim_x', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='dim_y', full_name='mascot.DeviceAttribute.dim_y', index=2,
      number=3, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='has_failed', full_name='mascot.DeviceAttribute.has_failed', index=3,
      number=4, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='is_empty', full_name='mascot.DeviceAttribute.is_empty', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='name', full_name='mascot.DeviceAttribute.name', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='nb_read', full_name='mascot.DeviceAttribute.nb_read', index=6,
      number=7, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='nb_written', full_name='mascot.DeviceAttribute.nb_written', index=7,
      number=8, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='quality', full_name='mascot.DeviceAttribute.quality', index=8,
      number=9, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='r_dimension', full_name='mascot.DeviceAttribute.r_dimension', index=9,
      number=10, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='time', full_name='mascot.DeviceAttribute.time', index=10,
      number=11, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='type', full_name='mascot.DeviceAttribute.type', index=11,
      number=12, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.DeviceAttribute.value', index=12,
      number=13, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='w_dim_x', full_name='mascot.DeviceAttribute.w_dim_x', index=13,
      number=14, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='w_dim_y', full_name='mascot.DeviceAttribute.w_dim_y', index=14,
      number=15, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='w_dimension', full_name='mascot.DeviceAttribute.w_dimension', index=15,
      number=16, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='w_value', full_name='mascot.DeviceAttribute.w_value', index=16,
      number=17, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=249,
  serialized_end=721,
)


_WRITEATTRIBUTEMESSAGE = _descriptor.Descriptor(
  name='WriteAttributeMessage',
  full_name='mascot.WriteAttributeMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='deviceName', full_name='mascot.WriteAttributeMessage.deviceName', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attributeName', full_name='mascot.WriteAttributeMessage.attributeName', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.WriteAttributeMessage.value', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=723,
  serialized_end=828,
)


_WRITEREPLY = _descriptor.Descriptor(
  name='WriteReply',
  full_name='mascot.WriteReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='mascot.WriteReply.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='error', full_name='mascot.WriteReply.error', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=830,
  serialized_end=889,
)


_ATTRIBUTEDIMENSION = _descriptor.Descriptor(
  name='AttributeDimension',
  full_name='mascot.AttributeDimension',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='dim_x', full_name='mascot.AttributeDimension.dim_x', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='dim_y', full_name='mascot.AttributeDimension.dim_y', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=891,
  serialized_end=941,
)


_TIMEVAL = _descriptor.Descriptor(
  name='TimeVal',
  full_name='mascot.TimeVal',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='tv_nsec', full_name='mascot.TimeVal.tv_nsec', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='tv_sec', full_name='mascot.TimeVal.tv_sec', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='tv_usec', full_name='mascot.TimeVal.tv_usec', index=2,
      number=3, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=943,
  serialized_end=1002,
)

_READATTRIBUTEREPLY.fields_by_name['error'].message_type = error__pb2._ERROR
_READATTRIBUTEREPLY.fields_by_name['data'].message_type = _DEVICEATTRIBUTE
_DEVICEATTRIBUTE.fields_by_name['data_format'].enum_type = tango__enums__pb2._ATTRDATAFORMAT
_DEVICEATTRIBUTE.fields_by_name['quality'].enum_type = tango__enums__pb2._ATTRQUALITY
_DEVICEATTRIBUTE.fields_by_name['r_dimension'].message_type = _ATTRIBUTEDIMENSION
_DEVICEATTRIBUTE.fields_by_name['time'].message_type = _TIMEVAL
_DEVICEATTRIBUTE.fields_by_name['type'].enum_type = tango__enums__pb2._CMDARGTYPE
_DEVICEATTRIBUTE.fields_by_name['value'].message_type = value__pb2._ATTRIBUTEVALUE
_DEVICEATTRIBUTE.fields_by_name['w_dimension'].message_type = _ATTRIBUTEDIMENSION
_WRITEATTRIBUTEMESSAGE.fields_by_name['value'].message_type = value__pb2._ATTRIBUTEVALUE
_WRITEREPLY.fields_by_name['error'].message_type = error__pb2._ERROR
DESCRIPTOR.message_types_by_name['ReadAttributeMessage'] = _READATTRIBUTEMESSAGE
DESCRIPTOR.message_types_by_name['ReadAttributeReply'] = _READATTRIBUTEREPLY
DESCRIPTOR.message_types_by_name['DeviceAttribute'] = _DEVICEATTRIBUTE
DESCRIPTOR.message_types_by_name['WriteAttributeMessage'] = _WRITEATTRIBUTEMESSAGE
DESCRIPTOR.message_types_by_name['WriteReply'] = _WRITEREPLY
DESCRIPTOR.message_types_by_name['AttributeDimension'] = _ATTRIBUTEDIMENSION
DESCRIPTOR.message_types_by_name['TimeVal'] = _TIMEVAL
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ReadAttributeMessage = _reflection.GeneratedProtocolMessageType('ReadAttributeMessage', (_message.Message,), dict(
  DESCRIPTOR = _READATTRIBUTEMESSAGE,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ReadAttributeMessage)
  ))
_sym_db.RegisterMessage(ReadAttributeMessage)

ReadAttributeReply = _reflection.GeneratedProtocolMessageType('ReadAttributeReply', (_message.Message,), dict(
  DESCRIPTOR = _READATTRIBUTEREPLY,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ReadAttributeReply)
  ))
_sym_db.RegisterMessage(ReadAttributeReply)

DeviceAttribute = _reflection.GeneratedProtocolMessageType('DeviceAttribute', (_message.Message,), dict(
  DESCRIPTOR = _DEVICEATTRIBUTE,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.DeviceAttribute)
  ))
_sym_db.RegisterMessage(DeviceAttribute)

WriteAttributeMessage = _reflection.GeneratedProtocolMessageType('WriteAttributeMessage', (_message.Message,), dict(
  DESCRIPTOR = _WRITEATTRIBUTEMESSAGE,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.WriteAttributeMessage)
  ))
_sym_db.RegisterMessage(WriteAttributeMessage)

WriteReply = _reflection.GeneratedProtocolMessageType('WriteReply', (_message.Message,), dict(
  DESCRIPTOR = _WRITEREPLY,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.WriteReply)
  ))
_sym_db.RegisterMessage(WriteReply)

AttributeDimension = _reflection.GeneratedProtocolMessageType('AttributeDimension', (_message.Message,), dict(
  DESCRIPTOR = _ATTRIBUTEDIMENSION,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.AttributeDimension)
  ))
_sym_db.RegisterMessage(AttributeDimension)

TimeVal = _reflection.GeneratedProtocolMessageType('TimeVal', (_message.Message,), dict(
  DESCRIPTOR = _TIMEVAL,
  __module__ = 'attributes_pb2'
  # @@protoc_insertion_point(class_scope:mascot.TimeVal)
  ))
_sym_db.RegisterMessage(TimeVal)


# @@protoc_insertion_point(module_scope)
